Debian Bug report logs - #567928
ITP: php-dompdf -- HTML to PDF converter

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Matt Taggart <taggart@debian.org>

Date: Mon, 1 Feb 2010 10:06:01 UTC

Owned by: David Prévot <taffit@debian.org>

Severity: wishlist

Fixed in version php-dompdf/0.6.0~beta3+dfsg0-1

Done: David Prévot <taffit@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#567928; Package wnpp. (Mon, 01 Feb 2010 10:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Mon, 01 Feb 2010 10:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Alessandro De Zorzi <lota@nonlontano.it>
Subject: RFP: dompdf -- CSS2.1 compliant HTML to PDF converter written in PHP
Date: Mon, 01 Feb 2010 02:02:50 -0800
Package: wnpp
Severity: wishlist

* Package name    : dompdf
  Version         : 0.5.1
  Upstream Author : Benj Carson <benjcarson@digitaljunkies.ca>
* URL             : http://code.google.com/p/dompdf/
* License         : LGPL
  Programming Lang: PHP
  Description     : CSS2.1 compliant HTML to PDF converter written in PHP

dompdf is an HTML to PDF converter. At its heart, dompdf is (mostly) CSS2.1 compliant HTML layout and rendering engine written in PHP. It is a style-driven renderer: it will download and read external stylesheets, inline style tags, and the style attributes of individual HTML elements. It also supports most presentational HTML attributes.

PDF rendering is currently provided either by PDFLib (http://www.pdflib.com) or by a bundled version the R&OS CPDF class written by Wayne Munro (http://www.ros.co.nz/pdf). (Some performance related changes have been made to the R&OS class, however). In order to use PDFLib with dompdf, the PDFLib PECL extension is required. Using PDFLib improves performance and reduces the memory requirements of dompdf somewhat, while the R&OS CPDF class, though slightly slower, eliminates any dependencies on external PDF libraries. 


The Drupal print module can use either this or tcpdf (ITP: #495985) to generate PDFs, which is why I am filing this RFP.

Packaging notes:
* as mentioned in the description, rendering requires either
   PDFLib (http://www.pdflib.com)
    or
   R&OS CPDF class (http://www.ros.co.nz/pdf).
* PDFLib is non-free. They have a "Free Software" version on their
   website, but it restricts commercial use (I sent them email pointing
   out this problem)
   http://www.pdflib.com/download/free-software/pdflib-lite-7/
* R&OS is public domain software. I filed an RFP #567927
* Also requires http://ttf2pt1.sourceforge.net/, this is already in
   Debian as "ttf2pt1".
* The webpage indicates you might want to have the Microsoft core fonts
   installed http://corefonts.sourceforge.net/. This is just an installer
   that installs the MS fonts, it's available in Debian as
   "ttf-mscorefonts-installer" but it's in contrib due to the non-freeness
   of the fonts, so we wouldn't want dompdf to depend on it or it would
   need to go in contrib as well. But maybe it could still use those
   fonts if they were available.

Thanks,

-- 
Matt Taggart
taggart@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#567928; Package wnpp. (Thu, 10 Oct 2013 22:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 10 Oct 2013 22:48:04 GMT) Full text and rfc822 format available.

Message #10 received at 567928@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: Matt Taggart <taggart@debian.org>, 567928@bugs.debian.org, pkg-php-pear@lists.alioth.debian.org, pkg-owncloud-maintainers@lists.alioth.debian.org
Subject: Re: Bug#567928: RFP: dompdf -- CSS2.1 compliant HTML to PDF converter written in PHP
Date: Thu, 10 Oct 2013 18:45:13 -0400
[Message part 1 (text/plain, inline)]
Control: affects -1 owncloud

Hi Matt,

On Mon, Feb 01, 2010 at 02:02:50AM -0800, Matt Taggart wrote:
> Package: wnpp
> Severity: wishlist
> 
> * Package name    : dompdf
>   Version         : 0.5.1
>   Upstream Author : Benj Carson <benjcarson@digitaljunkies.ca>
> * URL             : http://code.google.com/p/dompdf/

> The Drupal print module can use either this or tcpdf (ITP: #495985) to generate PDFs, which is why I am filing this RFP.

Are you still interested into dompdf? I’d like to depend on this package
for the upcoming owncloud 6 package, thus the heads up.

Regards

David
[signature.asc (application/pgp-signature, inline)]

Added indication that 567928 affects owncloud Request was from David Prévot <taffit@debian.org> to 567928-submit@bugs.debian.org. (Thu, 10 Oct 2013 22:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#567928; Package wnpp. (Thu, 10 Oct 2013 22:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 10 Oct 2013 22:57:04 GMT) Full text and rfc822 format available.

Message #17 received at 567928@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: David Prévot <taffit@debian.org>
Cc: Matt Taggart <taggart@debian.org>, 567928@bugs.debian.org, pkg-php-pear@lists.alioth.debian.org, pkg-owncloud-maintainers@lists.alioth.debian.org
Subject: Re: Bug#567928: RFP: dompdf -- CSS2.1 compliant HTML to PDF converter written in PHP
Date: Thu, 10 Oct 2013 15:53:25 -0700
David Prévot writes:
> Are you still interested into dompdf? I'd like to depend on this package
> for the upcoming owncloud 6 package, thus the heads up.

I'm not using drupal anymore, so I no longer need it personally, but I 
think it would still be good to have.

-- 
Matt Taggart
taggart@debian.org





Changed Bug title to 'ITP: php-dompdf -- HTML to PDF converter' from 'RFP: dompdf -- CSS2.1 compliant HTML to PDF converter written in PHP' Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Tue, 15 Oct 2013 18:12:26 GMT) Full text and rfc822 format available.

Owner recorded as David Prévot <taffit@debian.org>. Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Tue, 15 Oct 2013 18:12:26 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 567928: 726456 Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Tue, 15 Oct 2013 22:33:05 GMT) Full text and rfc822 format available.

Added indication that bug 567928 blocks 718585 Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Tue, 15 Oct 2013 22:33:07 GMT) Full text and rfc822 format available.

Added indication that bug 567928 blocks 726167 Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Tue, 15 Oct 2013 22:33:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 17 Oct 2013 07:15:08 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 567928: 718585 Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Mon, 02 Dec 2013 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to David Prévot <taffit@debian.org>:
You have taken responsibility. (Fri, 10 Jan 2014 16:03:10 GMT) Full text and rfc822 format available.

Notification sent to Matt Taggart <taggart@debian.org>:
Bug acknowledged by developer. (Fri, 10 Jan 2014 16:03:10 GMT) Full text and rfc822 format available.

Message #36 received at 567928-close@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 567928-close@bugs.debian.org
Subject: Bug#567928: fixed in php-dompdf 0.6.0~beta3+dfsg0-1
Date: Fri, 10 Jan 2014 16:00:06 +0000
Source: php-dompdf
Source-Version: 0.6.0~beta3+dfsg0-1

We believe that the bug you reported is fixed in the latest version of
php-dompdf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 567928@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Prévot <taffit@debian.org> (supplier of updated php-dompdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 23 Nov 2013 10:00:18 -0400
Source: php-dompdf
Binary: php-dompdf
Architecture: source all
Version: 0.6.0~beta3+dfsg0-1
Distribution: unstable
Urgency: low
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Changed-By: David Prévot <taffit@debian.org>
Description: 
 php-dompdf - HTML to PDF converter
Closes: 567928
Changes: 
 php-dompdf (0.6.0~beta3+dfsg0-1) unstable; urgency=low
 .
   * Initial release (Closes: #567928)
Checksums-Sha1: 
 691a789c232d992b47869565cf3d7df80f6fdf86 1697 php-dompdf_0.6.0~beta3+dfsg0-1.dsc
 64f9635531a2e53e56d134702cf32becbaa38c7e 735840 php-dompdf_0.6.0~beta3+dfsg0.orig.tar.xz
 3c90b00e52da8e840fda792e95209887003f7b91 15153 php-dompdf_0.6.0~beta3+dfsg0-1.debian.tar.gz
 96a7d3350ebf57aa8f4035625e0fb2be6ff6a524 927794 php-dompdf_0.6.0~beta3+dfsg0-1_all.deb
Checksums-Sha256: 
 c23e6aa1ee09f1817679c0ef342320cae82d362b5622e8825cc34ff079019cea 1697 php-dompdf_0.6.0~beta3+dfsg0-1.dsc
 10ebfc23002fff6962783fb1f74f014e377f701dee1619da6c2673e826d64ec0 735840 php-dompdf_0.6.0~beta3+dfsg0.orig.tar.xz
 a165b30904257474f695e10294562d1d9b61bca5e6aa2e67739aa3aa72f3e645 15153 php-dompdf_0.6.0~beta3+dfsg0-1.debian.tar.gz
 bc7967578171059ed3192e86cadb763db604d822fe66655b7588c8d2864f57bc 927794 php-dompdf_0.6.0~beta3+dfsg0-1_all.deb
Files: 
 e1d501e761d434463559722ecd157251 1697 php optional php-dompdf_0.6.0~beta3+dfsg0-1.dsc
 4804da8b76fe66582b9284e084a0093a 735840 php optional php-dompdf_0.6.0~beta3+dfsg0.orig.tar.xz
 759b00a86f806b48e29e7650cb5c0797 15153 php optional php-dompdf_0.6.0~beta3+dfsg0-1.debian.tar.gz
 5ce2fff9ed448143d90740c188e4d553 927794 php optional php-dompdf_0.6.0~beta3+dfsg0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQEcBAEBCAAGBQJSkLoYAAoJEAWMHPlE9r08fJcH/1gTAXxpOlF34pIU3JhJFjPZ
g34K936/KUAIG+fe4LKV+lNMN0+Rk+DR4lVdimMTavteqjO1K9NCanKwINslBgPv
VOeYR/3i/04WU//HMqtNUS82AsHIsgMsV0j3skUV9Orl43xY0KmTlMOpd7/YzNH/
pV2TvVdQzaqCzNhDL876Lg7w2SJZDHaMmHGdAQB8iUzg9wE+hzPefcKXOUOADRgu
AcWJqFI+2hXoZ8sgXMxBr3t6UAhvoYfEe1gIFP3NQHSVQWVw5xRLlUwoRYoqCyc1
6/jdHc1Gp52itWtngL4w9wakvnc9FELhNPG/qAfyCV2mXo6Yr8mwxGKO9sz2bww=
=IOEJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Feb 2014 07:27:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:57:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.